API Explorer 1 endpoints

Get Users by Email Address

GET /obp/v7.0.0/users/email/USER_EMAIL/terminator

OBPv4.0.0-getUsersByEmail Roles: CanGetAnyUser User

Get users by email address

User Authentication is Required. The User must be logged in. The Application must also be authenticated. CanGetAnyUser entitlement is required,

URL Parameters:

USER_EMAIL: USER_EMAIL

JSON response body fields (20)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
bank_id
gh.29.uk
email
felixsmith@example.com
entitlement_id
entitlements
is_deleted
is_deleted
is_locked
is_locked
list
provider
ETHEREUM
provider_id
role_name
text
type
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
username
felixsmith
users
user list
view_id
owner
agreements
agreements
last_marketing_agreement_signed_date
last_marketing_agreement_signed_date
views
Example success response
{
  "users": [
    {
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "email": "felixsmith@example.com",
      "provider_id": "Chris",
      "provider": "http://127.0.0.1:8080",
      "username": "felixsmith",
      "entitlements": {
        "list": [
          {
            "entitlement_id": "6fb17583-1e49-4435-bb74-a14fe0996723",
            "role_name": "CanQueryOtherUser",
            "bank_id": "gh.29.uk"
          }
        ]
      },
      "views": {
        "list": [
          {
            "bank_id": "gh.29.uk",
            "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
            "view_id": "owner"
          }
        ]
      },
      "agreements": [
        {
          "type": "",
          "text": ""
        }
      ],
      "is_deleted": false,
      "last_marketing_agreement_signed_date": "1100-01-01T00:00:00Z",
      "is_locked": false
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-20007: User not found by email.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 getUsersByEmail Originally /obp/v4.0.0/users/email/USER_EMAIL/terminator